[SRU] juno 2014.2.3 point release

Bug #1443429 reported by Chuck Short on 2015-04-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

Hello everyone,

The OpenStack Stable Maintenance team is happy to announce the release
of the 2014.2.3 stable Juno release. We have been busy reviewing and
accepting backported bugfixes to the stable/juno branches according
to the criteria set at:

https://wiki.openstack.org/wiki/StableBranch

A total of 109 bugs have been fixed across all projects. These
updates to Juno are intended to be low risk with no
intentional regressions or API changes. The list of bugs, tarballs and
other milestone information for each project may be found on Launchpad:

https://launchpad.net/ceilometer/juno/2014.2.3
https://launchpad.net/cinder/juno/2014.2.3
https://launchpad.net/glance/juno/2014.2.3
https://launchpad.net/heat/juno/2014.2.3
https://launchpad.net/horizon/juno/2014.2.3
https://launchpad.net/keystone/juno/2014.2.3
https://launchpad.net/nova/juno/2014.2.3
https://launchpad.net/neutron/juno/2014.2.3
https://launchpad.net/trove/juno/2014.2.3

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2014.2.3

The freeze on the stable/juno branches will be lifted today as we
begin working toward the 2014.2.4 release.

Thanks,
Adam

Chuck Short (zulcss) on 2015-04-13
description: updated
Chuck Short (zulcss) on 2015-04-21
Changed in ceilometer (Ubuntu):
status: New → Won't Fix
no longer affects: ceilometer (Ubuntu Utopic)

Hello Chuck, or anyone else affected,

Accepted glance into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glance/1:2014.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Utopic):
status: New → Fix Committed
tags: added: verification-needed
Changed in heat (Ubuntu Utopic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Chuck, or anyone else affected,

Accepted heat into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/heat/2014.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Utopic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Chuck, or anyone else affected,

Accepted keystone into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/keystone/1:2014.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Utopic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello Chuck, or anyone else affected,

Accepted neutron into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/1:2014.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Chuck, or anyone else affected,

Accepted cinder into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/1:2014.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Utopic):
status: New → Fix Committed
Changed in horizon (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Chuck, or anyone else affected,

Accepted horizon into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/1:2014.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Chuck, or anyone else affected,

Accepted nova into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2014.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Utopic):
status: New → Fix Committed
James Page (james-page) on 2015-05-12
tags: added: verification-done
removed: verification-needed
James Page (james-page) wrote :

Testing for utopic-proposed and trusty-juno-proposed successfully completed in the OpenStack QA lab.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.2.3-0ubuntu1

---------------
glance (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (bb48dfc) (LP: #1443429)
    - [0892b64] Fix intermittent unit test failures
    - [223b6eb] Updated from global requirements
    - [a880c8e] Initiate deletion of image files if the import was interrupted
    - [25a722e] Image data remains in backend for deleted image
    - [16ece38] Fix copy-from when user_storage_quota is enabled
  * debian/patches/fix-requirements.patch: Rebased.
  * debian/patches/update-glance-store-tests.patch: Rebased
 -- Chuck Short <email address hidden> Tue, 21 Apr 2015 09:37:31 -0400

Changed in glance (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for glance has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.2.3-0ubuntu1

---------------
heat (2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (a314229) (LP: #1443429)
   - [a052b06] Change the engine-listener topic
   - [9f02b3a] Just to delete the stack when adopt rollback
   - [691a06a] Release stack lock when successfully acquire
   - [d6770de] Add dependency on Router External Gateway property
   - [1339ac2] Use only FIP dependencies from graph
   - [9516cbe] Add dependency hidden on router_interface
   - [3ee82a3] Update heat.conf.sample
   - [7d4e570] Use properties.data when testing for "provided by the user"
   - [f6dfcc2] Fix update on failed stack
   - [848c59b] Catch notfound exception when deleting project
   - [e63549f] Enable https for keystone while creating stack user
   - [3ea6c6a] Stop patching oslo.messaging private bits
   - [a194a88] Don't mock oslo.messaging _CallContext
   - [42b032f] Ensure all Neutron LoadBalancer members are delete
  * debian/patches/fix-requirements.patch: Rediffed.
 -- Chuck Short <email address hidden> Tue, 21 Apr 2015 09:35:20 -0400

Changed in heat (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.2.3-0ubuntu1

---------------
keystone (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (5db3733) (LP: #1443429):
    - [e2bbebe] Work with pymongo 3.0
    - [0c7535b] Fix up _ldap_res_to_model for ldap identity backend
    - [e3cfba8] Speed up memcache lock
    - [3db10d0] Correct initialization order for logging to use eventlet locks
    - [2fd68a0] Updated from global requirements
    - [027236c] Don't try to convert LDAP attributes to boolean
    - [ddfa37e] Make identity id mapping handle unicode
    - [a322cee] Improve testing of unicode id mapping
    - [d8b145e] Fix the syntax issue on creating table `endpoint_group`
    - [7a613ae] Keystoneclient tests from venv-installed client
    - [5db3733] Bump stable/juno version to 2014.2.3
    - [b84e22b] Fix race on default role creation
    - [a475757] fix the wrong update logic of catalog kvs driver
    - [75ed605] do parameter check before updating endpoint_group
  * debian/patches/fix-ubuntu-tests.patch: Dropped no longer needed.
 -- Chuck Short <email address hidden> Tue, 21 Apr 2015 09:34:08 -0400

Changed in keystone (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.2.3-0ubuntu1

---------------
neutron (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (dbeaa70) (LP: #1443429):
    - [fe59efd] Don't eagerly load ranges from IPAllocationPool
    - [9e01647] lb-agent: use 'replace' instead of 'add' with 'bridge fdb'
    - [70786c6] Refactor logging in loop to only log debug messages once
    - [ddbad01] Deal with PEP-0476 certificate chaining checking
    - [3abee3b] ofagent: Fix port_dead
    - [48017f2] CSCO:Tenants not to access unshared n/w profiles
    - [61a5506] Use ryu.cfg.CONF for options from Ryu
    - [d329c22] attributes: Additional IP address validation
    - [5cb7a20] Default route missing for IPv6 subnets in HA Router
    - [7b0869b] Make del_fdb_flow() idempotent
    - [ff50c30] Hyper-V: Fixes security groups issue
    - [bd5f47c] Use DEVICE_OWNER_DVR_INTERFACE in NSX-mh plugin
    - [4856743] Make listing security groups faster
    - [e4aa290] Improve exception handling in _process_router_update()
    - [7ae879d] Correctly mock-out 'ip route...' calls in IPv6 test
    - [792aa82] Use HTTP BASIC AUTH exclusively (no longer use JSESSIONID)
    - [1fa38eb] Search in /sys/class/net for network devices
    - [c136f4f] Catch PortNotFound and SubnetNotFound during network_delete
    - [a52f19f] Setup br-tun in secure fail mode to avoid broadcast storms
    - [e22975a] Make sure we don't introduce oslo_* imports during backports
    - [a80999e] Configure IPv6 LLADDR only on master L3 HA instance
    - [99c6796] SIGHUP keepalived if L3 agent restarts
    - [edf0aab] Fix IPv6 RA security group rule for DVR
    - [9bb7eb5] Don't crash when adding duplicate gre allocation
    - [ed799e3] Pass '--dhcp-authoritative' option to dnsmasq
    - [41bfc2f] Fix extra-dhcp-opt on stateless dhcpv6 subnet
    - [7cd3d0c] Decrease rpc timeout after agent receives SIGTERM
    - [496d7a8] Fix floating-ips in error state in dvr mode
    - [6e9c760] Make prevent_l3_port_deletion handle missing port
    - [a861b88] Ignore 404 error and lower a warning log to info
 -- Chuck Short <email address hidden> Tue, 21 Apr 2015 09:30:40 -0400

Changed in neutron (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.2.3-0ubuntu1

---------------
horizon (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (cf15014) (LP: #1443429)
    - [a6d726c] Translation update for Juno 2014.2.3
    - [04d07da] Make Image Description an input field instead of a textarea
    - [947bc63] Pass correct project ID to get tenant_usages
    - [d4bc8a0] Handle RequestURITooLong error in large instance table
    - [e22c90e] Updated from global requirements
    - [6614c74] Better color arrangement in distribution pie charts
    - [9d2ff23] Use shades of blue for distribution pie charts
    - [bacd732] Automatically expand the current panel group on dashboard expansion
    - [8b0349f] Fix dynamic select layout when help block is displayed
  * debian/bundle-xstatic.sh: Update for newer python-pip.

 -- Chuck Short <email address hidden> Mon, 20 Apr 2015 10:29:51 -0400

Changed in horizon (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.2.3-0ubuntu1

---------------
nova (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (4fdd83f) (LP: #1443429)
    - [af85403] Fixes Hyper-V: configdrive is not migrated to destination
    - [db827c7] Handle nova-network tuple format in legacy RPC calls
    - [85d335d] fix the websocket_bad_token test
    - [b29c8e0] Changed target version of NovaCompute object during Service backport
    - [7c4be65] libvirt: partial fix for live-migration with config drive
    - [5a0711d] libvirt: Fixes live migration for volume backed instances
    - [6f479a4] Don't create block device mappings in the API cell
    - [34f029e] libvirt: make default value of numa cell memory to 0 when not defined
    - [b4e3e87] Compute: catch more specific exception for _get_instance_nw_info
    - [676ba7b] Websocket Proxy should verify Origin header
    - [8c377b2] Fix kwargs['instance'] KeyError in @reverts_task_state decorator
    - [6c86f8e] Stop stacktracing in _get_filter_uuid
    - [a761c61] VMware: prevent exception with migrate_disk_and_power_off
    - [33dcffc] Handle MessagingException in unshelving instance
    - [f9bcf74] Handle 404 in os-baremetal-nodes GET
    - [b904b0b] Compute: Catch binding failed exception while init host
    - [b3f80bd] Make tests use sha256 as openssl default digest algorithm
    - [86efb1d] Transform IPAddress to string when creating port
    - [40b19d9] Fixes Hyper-V configdrive network injection issue
    - [ae0c898] Make code compatible with v4 auth and workaround webob bug.
    - [de1b33d] Fixes interfaces template identification issue
    - [42cae28] libvirt: Make sure volumes are well detected during block migration
    - [acb0cc0] Hyper-V: Fix retrieving console logs on live migration
    - [7a30e35] Use reasonable timeout for rpc service_update()
    - [7da8a1c] boot instance with same net-id for multiple --nic
    - [fd36262] Fixes Hyper-V should log a clear error message
    - [ae47935] Allow instances to attach to shared external nets
    - [e7828d9] Fix live migration RPC compatibility with older versions
    - [4ea3c18] Support macvtap for vif_type being hw_veb
    - [acefbcb] VMware: fix exception when multiple compute nodes are running
  * debian/patches/disable-websockify-tests.patch: Refreshed

 -- Chuck Short <email address hidden> Tue, 21 Apr 2015 09:28:44 -0400

Changed in nova (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.2.3-0ubuntu1

---------------
cinder (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronized with stable/juno (4f088a7) (LP: #1443429):
    - [a3e4439] Deal with PEP-0476 certificate chaining checking
    - [8940579] Clear migration_status from a destination volume if migration fails
    - [7f861a8] Remove the import of oslo_i18n lib in Juno
    - [6a950f1] Scality: Lock around SOFS mount to avoid a race
    - [03f8f0d] Sync requirements files for Juno
    - [a2a48a2] NetApp fix vol migration unusability
  * debian/patches/fix-requirements.patch: Rebased
  * debian/patches/revert-oslo-i18n-changes.patch: Rebased

 -- Chuck Short <email address hidden> Tue, 21 Apr 2015 09:41:58 -0400

Changed in cinder (Ubuntu Utopic):
status: Fix Committed → Fix Released
Chris J Arges (arges) on 2015-05-21
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers